Package org.apache.jmeter.visualizers

# Class TableVisualizer.SampleSuccessFunctor

java.lang.Object
org.apache.jorphan.reflect.Functor
org.apache.jmeter.visualizers.TableVisualizer.SampleSuccessFunctor

Enclosing class:
  TableVisualizer

public static class TableVisualizer.SampleSuccessFunctor extends Functor

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SampleSuccessFunctor(String methodName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `invoke(Object pInvokee)`
  Invoke the method on a given object.

  ### Methods inherited from class org.apache.jorphan.reflect.Functor

  `checkMethod, checkMethod, invoke, invoke, invoke, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SampleSuccessFunctor

    public SampleSuccessFunctor(String methodName)

- ## Method Details

  - ### invoke

    public Object invoke(Object pInvokee)
    Description copied from class: `Functor`
    Invoke the method on a given object.
    Overrides:
      `invoke` in class `Functor`
    Parameters:
      `pInvokee` - - provides the object to call; ignored if the class or object were provided to the constructor
    Returns:
      the value